> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/fa-qi-payout-qing-qiu/ge-guo-jia-api-can-shu/ge-lun-bi-ya.md).

# 哥伦比亚

## <mark style="color:purple;">即时转账 - Transfiya</mark>

* payout\_method.type = bank\_transfer
* payout\_method.payment\_method = instant\_transfer

<table><thead><tr><th width="224">payout_method_details 参数</th><th width="100">类型</th><th width="100">必填项</th><th>描述</th></tr></thead><tbody><tr><td>first_name</td><td>String</td><td>是</td><td>收款人的名字。最多 50 个字符</td></tr><tr><td>last_name</td><td>String</td><td>是</td><td>收款人的姓氏。最多 50 个字符</td></tr><tr><td>phone_number</td><td>String</td><td>是</td><td><a href="https://www.globalcallforwarding.com/blog/what-is-e-164/">E164 格式 </a><br>例如： +57XXXXXXXXXX</td></tr><tr><td>bank_code</td><td>String</td><td>是</td><td>“<strong>TRANSFIYA</strong>”</td></tr></tbody></table>

### <mark style="color:purple;">即时转账 Payload示例</mark>

{% tabs %}
{% tab title="请求示例" %}

```javascript
{
    "payout_method": {
        "type": "bank_transfer",
        "payment_method": "instant_transfer",
        "beneficiary": {
            "name": "John Doe",
            "payout_method_details": {
                "first_name": "John",
                "last_name": "Doe",
                "phone_number": "+57123456787",
                "bank_code": "TRANSFIYA"
            }
        }
    },
    "amount": {
        "value": "2000.00",
        "currency_code": "COP"
    },
    "country_code": "CO",
    "purpose": "salaries",
    "reference": "Invoice #12345",
    "request_id": "unique_request_id"
}
```

{% endtab %}

{% tab title="响应示例" %}

```javascript
{
    "purpose": "SALARIES",
    "reference": "Invoice #12345",
    "id": "694e1f99-8924-4767-ade4-0db7c4e03f7a",
    "payout_method": {
        "type": "bank_transfer",
        "payment_method": "co_instant_transfer",
        "beneficiary_details": {
            "name": "John Doe"
        }
    },
    "amount": {
        "value": 2000.00,
        "currency_code": "COP"
    },
    "country_code": "CO",
    "request_id": "unique_request_id",
    "created_at": 1717576191
}
```

{% endtab %}
{% endtabs %}

## <mark style="color:purple;">银行转账</mark>

* payout\_method.type = bank\_transfer
* payout\_method.payment\_method = bank\_transfer

注意：支持电子钱包 – Dale、Nequi、Daviplate、Iirs、Movi、Rappipay。

可以在哥伦比亚银行代码部分找到。

<table><thead><tr><th width="300">payout_method_details 参数</th><th width="125">类型</th><th width="100">必填项</th><th>描述</th></tr></thead><tbody><tr><td>first_name</td><td>String</td><td>是</td><td>收款人的名字。最多 50 个字符</td></tr><tr><td>last_name</td><td>String</td><td>是</td><td>收款人的姓氏。最多 50 个字符</td></tr><tr><td>phone_number</td><td>String</td><td>是</td><td><a href="https://www.globalcallforwarding.com/blog/what-is-e-164/">E164 格式 </a><br>例如： +57XXXXXXXXXX</td></tr><tr><td>email</td><td>String</td><td>是</td><td>收款人的电子邮件。最多 100 个字符</td></tr><tr><td>address</td><td>String</td><td>是</td><td>收款人地址。最多 200 个字符</td></tr><tr><td>document_type</td><td>String</td><td>是</td><td><p>“NIT” - 税务识别号 (Número de Identificación Tributaria)</p><p>“CC” - 公民身份证 (Cédula de Ciudadanía)</p><p>“CE” - 外国人身份证 (Carnet Extranjeria) </p><p>“PASS” - 护照 (Passport) </p><p>“PEP” - 特别居留许可 (Permiso Especial de Permanencia) </p></td></tr><tr><td>document_id</td><td>String</td><td>是</td><td>请参阅下面的 “哥伦比亚文件 ID 验证”</td></tr><tr><td>account_number</td><td>String</td><td>是</td><td>请参阅下面的“哥伦比亚银行帐号验证”</td></tr><tr><td>account_type</td><td>String</td><td>是</td><td><p>“<strong>C</strong>”— 支票账户</p><p>“<strong>S</strong>”— 储蓄账户</p></td></tr><tr><td>bank_code</td><td>String</td><td>是</td><td>请参阅下面的“哥伦比亚银行代码”</td></tr></tbody></table>

## <mark style="color:purple;">银行转账Payload示例</mark>

{% tabs %}
{% tab title="请求示例" %}

```javascript
{
  "payout_method": {
    "type": "bank_transfer",
    "payment_method": "bank_transfer",
    "beneficiary": {
      "name": "John Doe",
      "payout_method_details": {
        "first_name": "John",
        "last_name": "Doe",
        "phone_number": "+573001234567",
        "email": "john.doe@example.com",
        "address": "123 Main St, Bogotá, Colombia",
        "document_type": "CC",
        "document_id": "1004922993",
        "account_number": "123456789012",
        "account_type": "S",
        "bank_code": "059"
      }
    }
  },
  "amount": {
    "value": 2000.00,
    "currency_code": "COP"
  },
  "country_code": "CO",
  "purpose": "salaries",
  "reference": "Invoice #12345",
  "request_id": "unique_request_id"
}
```

{% endtab %}

{% tab title="响应示例" %}

```javascript
{
    "purpose": "SALARIES",
    "reference": "Invoice #12345",
    "id": "ff5b3a77-0e67-47a8-94f4-f2ac1865cd8b",
    "payout_method": {
        "type": "bank_transfer",
        "payment_method": "co_bank_transfer",
        "beneficiary_details": {
            "name": "John Doe"
        }
    },
    "amount": {
        "value": 2000,
        "currency_code": "COP"
    },
    "country_code": "CO",
    "request_id": "unique_request_id",
    "created_at": 1717576785
}
```

{% endtab %}
{% endtabs %}

## <mark style="color:purple;">哥伦比亚文件 ID 验证</mark>

| 文件类型 | 长度        | 类型         | 验证数字   | 例子                                              |
| ---- | --------- | ---------- | ------ | ----------------------------------------------- |
| CC   | 6 到 10 之间 | Numeric    | 无      | <p>1.004.922.993</p><p>1004922993</p>           |
| NIT  | 10 或 11   | Numeric    | 最后一位数字 | <p>901.458.652-7</p><p>901458.6527732000110</p> |
| PASS | 最多 12     | Characters | 无      | -                                               |
| CE   | 最多 12     | Characters | 无      | -                                               |
| PEP  | 15        | Numeric    | 无      | -                                               |

## <mark style="color:purple;">哥伦比亚银行帐号验证</mark>

对于每个银行账户，最小长度为3个数字。对于以下表格中没有最大长度的银行，最大长度为18。

某些银行要求账户号码字段具有特定结构：

<table><thead><tr><th>银行</th><th width="106.9366455078125">银行代码</th><th>储蓄  长度（最多）</th><th>活期 长度（最多）</th><th>储蓄账户 示例</th><th>支票账户 示例</th></tr></thead><tbody><tr><td>Agrario</td><td>40</td><td>12</td><td>12</td><td>123456789012</td><td>123456789012</td></tr><tr><td>Av. Villas</td><td>52</td><td>11</td><td>13</td><td>12345678901</td><td>1234567890123</td></tr><tr><td>Banco de Bogota</td><td>1</td><td>11</td><td>11</td><td>12345678912</td><td>12345678912</td></tr><tr><td>Banco de Occidente</td><td>23</td><td>9</td><td>9</td><td>123456789</td><td>123456789</td></tr><tr><td>Bancolombia</td><td>7</td><td>11</td><td>11</td><td>27213213912</td><td>96382852354</td></tr><tr><td>Bancoomeva</td><td>61</td><td>12</td><td>12</td><td>123456789012</td><td>123456789012</td></tr><tr><td>BBVA</td><td>13</td><td>16</td><td>16（对于超过 15K 的payouts，我们只接受 9 位数的帐户）</td><td>1234570000000000</td><td>1234570000000000</td></tr><tr><td>Caja social BCSC</td><td>32</td><td>12</td><td>12</td><td>123456789012</td><td>123456789012</td></tr><tr><td>Confiar</td><td>292</td><td>9</td><td>9</td><td>123456789</td><td>123456789</td></tr><tr><td>Coopcentral S.A.</td><td>66</td><td>-</td><td>9</td><td>-</td><td>123456789</td></tr><tr><td>Cooperativa financiera de Antioquía</td><td>283</td><td>-</td><td>11</td><td>-</td><td>12345678901</td></tr><tr><td>Cotrafa cooperativa financiera</td><td>289</td><td>-</td><td>13</td><td>-</td><td>1234567890123</td></tr><tr><td>Davivienda</td><td>51</td><td>18</td><td>18</td><td>123456789012</td><td>123456789012</td></tr><tr><td>Falabella S.A.</td><td>62</td><td>12</td><td>12</td><td>123456789012</td><td>123456789012</td></tr><tr><td>Financiera Juriscoop</td><td>121</td><td>-</td><td>12</td><td>-</td><td>123456789012</td></tr><tr><td>Itau</td><td>14</td><td>9</td><td>9</td><td>123456789</td><td>123456789</td></tr><tr><td>Pichincha</td><td>60</td><td>9</td><td>9</td><td>123456789</td><td>123456789</td></tr><tr><td>Popular</td><td>2</td><td>9</td><td>9</td><td>620630925</td><td>645324752</td></tr><tr><td>Procredit</td><td>58</td><td>13</td><td>13</td><td>1234567890123</td><td>1234567890123</td></tr><tr><td>Santander</td><td>6</td><td>9</td><td>9</td><td>272132139</td><td>963828523</td></tr><tr><td>Scotiabank Colpatria</td><td>19</td><td>10</td><td>10</td><td>1234567890</td><td>1234567890</td></tr><tr><td>Sudameris</td><td>12</td><td>8</td><td>11</td><td>208342345908754</td><td>102938455738947</td></tr></tbody></table>

## <mark style="color:purple;">哥伦比亚银行代码</mark>

| 类型              | 银行名称                                      | 银行代码 |
| --------------- | ----------------------------------------- | ---- |
| 银行转账（Transfiya） | Transfiya                                 | TRA  |
| 银行转账和电子钱包       | Bancamia S.A.                             | 059  |
|                 | Banco Agrario                             | 040  |
|                 | Banco Av. Villas                          | 052  |
|                 | Banco Caja Social BCSC                    | 032  |
|                 | Banco Credifinanciera S.A.                | 558  |
|                 | Banco Dale                                | 097  |
|                 | Banco Davivienda                          | 051  |
|                 | Banco de Bogota                           | 001  |
|                 | Banco de Occidente                        | 023  |
|                 | Banco Falabella S.A.                      | 062  |
|                 | Banco Finandina S.A.                      | 063  |
|                 | Banco J.P. Morgan Colombia S.A.           | 71   |
|                 | Banco Mundo Mujer                         | 047  |
|                 | Banco Pichincha                           | 060  |
|                 | Banco Popular                             | 002  |
|                 | Banco Procredit                           | 058  |
|                 | Banco Santander de Negocios Colombia S.A. | 65   |
|                 | Banco Serfinanza S.A.                     | 069  |
|                 | Banco Sudameris                           | 012  |
|                 | Banco W S.A.                              | 053  |
|                 | Bancoldex S.A.                            | 031  |
|                 | Bancolombia                               | 007  |
|                 | Bancoomeva                                | 061  |
|                 | BBVA                                      | 013  |
|                 | Citibank                                  | 009  |
|                 | Coltefinanciera S.A.                      | 370  |
|                 | Confiar                                   | 292  |
|                 | Coofinep Cooperativa Financiera           | 291  |
|                 | Coopcentral S.A.                          | 066  |
|                 | Cooperativa Financiera de Antioquia       | 283  |
|                 | Corpbanca Itau                            | 006  |
|                 | Cotrafa Cooperativa Financiera            | 289  |
|                 | Daviplata                                 | 551  |
|                 | Financiera Juriscoop                      | 121  |
|                 | Giros y Finanzas CF                       | 303  |
|                 | Iris                                      | 637  |
|                 | Itau                                      | 014  |
|                 | LULO BANK S.A.                            | 070  |
|                 | MiBanco S.A.                              | 067  |
|                 | Movii                                     | 801  |
|                 | Nequi                                     | 507  |
|                 | Rappipay                                  | 151  |
|                 | Scotiabank Colpatria                      | 019  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/fa-qi-payout-qing-qiu/ge-guo-jia-api-can-shu/ge-lun-bi-ya.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
